package cc.smtweb.system.bpm.web.engine.model.listcard.mastersub;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.system.bpm.web.engine.dynPage.DynRetBean;
import cc.smtweb.system.bpm.web.engine.model.listcard.abshandler.AbsLoadHandler;
import cc.smtweb.system.bpm.web.engine.model.listcard.single.LCSingleHelper;

/**
 * @Author:lip
 * @Date : 2022/8/28 21:44
 */
public class LCMsLoadHandler extends AbsLoadHandler {
    /**
     * 主表新增
     *
     * @return
     */
    public R mAdd() {
        SwMap data = doAdd(LCMsDefine.dsMCard);
        return R.success(LCSingleHelper.buildRetData(LCMsDefine.dsMCard, data));
    }

    /**
     * 主表编辑
     *
     * @return
     */
    public R mLoad() {
        SwMap bean = doLoadCard(LCMsDefine.dsMCard);
        return R.success(LCSingleHelper.buildRetData(LCMsDefine.dsMCard, bean));
    }

    /**
     * 主表列表加载
     *
     * @return
     */
    public R mList() {
        DynRetBean list = doList(LCMsDefine.dsMList);
        return R.success(list);
    }

    /**
     * 子列表加载
     *
     * @return
     */
    public R sList() {
        DynRetBean list = doList(LCMsDefine.dsSList);
        return R.success(list);
    }

    /**
     * 主列表分页数据
     *
     * @return
     */
    public R getMTotal() {
        return doTotal(LCMsDefine.dsMList);
    }

    /**
     * 子列表分页数据
     *
     * @return
     */
    public R getSTotal() {
        return doTotal(LCMsDefine.dsSList);
    }
}
