package cc.smtweb.system.bpm.web.engine.model.listcard.normal;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.system.bpm.web.engine.dynPage.DynRetBean;
import cc.smtweb.system.bpm.web.engine.model.listcard.ModelUtils;
import cc.smtweb.system.bpm.web.engine.model.listcard.abshandler.AbsLoadHandler;

/**
 * @Author:lip
 * @Date : 2022/8/29 14:37
 */
public class LCNormalLoadHandler extends AbsLoadHandler {

    //新增卡片操作，初始化定义的数据集
    public R add() {
        SwMap data = doAdd(LCNormalDefine.dsCard);
        return R.success(ModelUtils.buildRetData(LCNormalDefine.dsCard, data));
    }

    public R load() {
        SwMap data = doLoadCard(LCNormalDefine.dsCard);
        return R.success(ModelUtils.buildRetData(LCNormalDefine.dsCard, data));
    }

    /**
     * 列表数据
     *
     * @return
     */
    public R list() {
        DynRetBean dynRetBean = doList(LCNormalDefine.dsList);
        return R.success(dynRetBean);
    }

    /**
     * 计算分页数据
     *
     * @return
     */
    public R getTotal() {
        return doTotal(LCNormalDefine.dsList);
    }
}
