package cc.smtweb.system.bpm.web.sys.user.dataRight;

import cc.smtweb.framework.core.annotation.SwCache;
import cc.smtweb.framework.core.cache.AbstractEntityCache;
import cc.smtweb.framework.core.cache.CacheManager;

/**
 * Created by 1 at 2022-08-03 16:27:55
 * 实体【[数据权限定义](SYS_DATA_RIGHT_DEFINE)】的缓存类
 */
@SwCache(ident = "SYS_DATA_RIGHT_DEFINE", title = "数据权限定义")
public class DataRightDefineCache extends AbstractEntityCache<DataRightDefine> {
    //缓存key：按编码
    public final static String mk_code = "code";

    public static DataRightDefineCache getInstance() {
        return CacheManager.getIntance().getCache(DataRightDefineCache.class);
    }

    public DataRightDefineCache() {
        //缓存key：按编码
        regMap(mk_code, "sdrd_code");
    }

    //缓存key：按编码
    public final DataRightDefine getByCode(String key) {
        return getByKey(mk_code, key);
    }
}
