package cc.smtweb.framework.core.cache.redis;

import lombok.Data;

/**
 * redis 广播消息
 */
@Data
public class RedisBroadcastEvent {
    public static final int CODE_REMOVE = 1;
    public static final int CODE_CLEAR = 2;
    /**
     * 缓存更新
     */
    public static final int CODE_CACHE_UPDATE = 3;
    public static final int CODE_CACHE_REFRESH = 4;

    private int action;
    private String ident;
    private String key;

    @Override
    public String toString() {
        return "ident=" + ident + "&&key=" + key + "&&act=" + action;
    }
}
