package cc.smtweb.framework.core.mvc.controller.binder.param;

import cc.smtweb.framework.core.mvc.controller.IBeanContext;
import cc.smtweb.framework.core.mvc.controller.IEditor;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

public abstract class AbstractRequestEditor implements IEditor {
    @Override
    public Object getParamValue(String paramName, Class<?> paramType, IBeanContext context, Map<String, Object> params, String body, HttpServletRequest request) {
        return getValue(request);
    }

    protected abstract Object getValue(HttpServletRequest request);
}
